Supported software

You can find the additional software that is supported for HCL OneTest Performance.

Contents

Application servers

Support for the following application servers is in reference only to the HTTP Response Time Break Down capability:

Supported software

Version

Components

Notes

Desktop

Agent

IBM® WebSphere Application Server

9.0

supported

Not applicable

To collect response time breakdown data

8.5.5

supported

Not applicable

8.5

supported

Not applicable

8.0

supported

Not applicable

7.0

supported

Not applicable

IBM® WebSphere Liberty

17.0.0.1

supported

Not applicable

16.0.0.2

supported

Not applicable

Oracle/BEA WebLogic Server

12

supported

Not applicable

10.3

supported

Not applicable

9

supported

Not applicable

Business process management

Supported software

Version

Components

Notes

Desktop

Agent

SAP GUI

7.7

supported

supported

To record and playback tests of SAP applications built with the SAP GUI client

7.6

supported

supported

7.5 compilation 2

supported

supported

Development tools

Supported software

Version

Components

Note

Desktop

Agent

eGit

4.10

supported

Not applicable

Eclipse source control

Google Web Toolkit

2.8

supported

supported

To record and playback HTTP tests that built against web applications with Google Web Toolkit

2.7

supported

supported

2.6

supported

supported

2.5

supported

supported

2.4

supported

supported

2.3

supported

supported

HCL OneTest API

10.2.0

supported

Not applicable

To integrate and run HCL OneTest API tests

HCL OneTest UI

10.2.0

supported

Not applicable

Eclipse shell sharing and to run WebUI integrations

IBM® Engineering Test Management

7.0.2

supported

Not applicable

To initiate the test runs from Engineering Test Management

7.0.1

supported

Not applicable

IBM® Engineering Workflow Management

7.0.2

supported

Not applicable

To perform integrations with Engineering Workflow Management

7.0.1

supported

Not applicable

IBM® Rational® ClearCase

8.0.1 and future fix packs

supported

Not applicable

Eclipse source control

IBM® Rational® Quality Manager

6.0.6

supported

Not applicable

To initiate the test runs from Rational Quality Manager

IBM® Rational® Team Concert

6.0.6

supported

Not applicable

To perform integrations with Rational Team Concert

JMeter

5.4.1

supported

Not applicable

To integrate and run JMeter tests

5.3

supported

Not applicable

5.2

supported

Not applicable

5.1

supported

Not applicable

DevOps tools

Supported software

Version

Components

Notes

Desktop

Agent

Apache Ant

1.9 or later

supported

Not applicable

To initiate the test runs from ANT

Azure DevOps

Latest release

supported

Not applicable

To initiate the test runs from Azure DevOps pipeline

HCL Launch

7.1.2.1

supported

Not applicable

To initiate the test runs from HCL Launch

7.1.1.1

supported

Not applicable

7.1.0.1

supported

Not applicable

IBM® UrbanCode Deploy

7.1.2.1

supported

Not applicable

To initiate the test runs from UrbanCode Deploy

7.1.1.1

supported

Not applicable

7.0.2

supported

Not applicable

Jenkins

2.277.4

supported

Not applicable

To initiate the test runs from Jenkins

2.263.3

supported

Not applicable

2.235.1

supported

Not applicable

Maven

3.5 or later

supported

Not applicable

To initiate the test runs from Maven

Microfocus ALM

12.6

supported

Not applicable

To initiate the test runs from Microfocus ALM

Eclipse Runtime Environment

Supported software

Version

Components

Desktop

Agent

Eclipse Runtime Environment

4.7.3.1

supported

Not applicable

4.7

supported

Not applicable

4.6

supported

Not applicable

4.2

supported

Not applicable

Message Oriented Middleware

Supported software

Version

Components

Desktop

Agent

IBM® MQ

9.2.1

supported

supported

9.0.0

supported

supported